DROP TABLE CRST_RA_BATCHES_ALL;
 
CREATE TABLE CRST_RA_BATCHES_ALL
(
  BATCH_ID                NUMBER(15)            NOT NULL,
  LAST_UPDATE_DATE        DATE                  NOT NULL,
  LAST_UPDATED_BY         NUMBER(15)            NOT NULL,
  CREATION_DATE           DATE                  NOT NULL,
  CREATED_BY              NUMBER(15)            NOT NULL,
  LAST_UPDATE_LOGIN       NUMBER(15),
  NAME                    VARCHAR2(50 BYTE)     NOT NULL,
  BATCH_DATE              DATE                  NOT NULL,
  GL_DATE                 DATE                  NOT NULL,
  STATUS                  VARCHAR2(20 BYTE),
  TYPE                    VARCHAR2(30 BYTE),
  BATCH_SOURCE_ID         NUMBER(15),
  CONTROL_COUNT           NUMBER(15),
  CONTROL_AMOUNT          NUMBER,
  COMMENTS                VARCHAR2(240 BYTE),
  ATTRIBUTE_CATEGORY      VARCHAR2(30 BYTE),
  ATTRIBUTE1              VARCHAR2(150 BYTE),
  ATTRIBUTE2              VARCHAR2(150 BYTE),
  ATTRIBUTE3              VARCHAR2(150 BYTE),
  ATTRIBUTE4              VARCHAR2(150 BYTE),
  ATTRIBUTE5              VARCHAR2(150 BYTE),
  ATTRIBUTE6              VARCHAR2(150 BYTE),
  ATTRIBUTE7              VARCHAR2(150 BYTE),
  ATTRIBUTE8              VARCHAR2(150 BYTE),
  ATTRIBUTE9              VARCHAR2(150 BYTE),
  ATTRIBUTE10             VARCHAR2(150 BYTE),
  REQUEST_ID              NUMBER(15),
  PROGRAM_APPLICATION_ID  NUMBER(15),
  PROGRAM_ID              NUMBER(15),
  PROGRAM_UPDATE_DATE     DATE,
  CURRENCY_CODE           VARCHAR2(15 BYTE),
  EXCHANGE_RATE_TYPE      VARCHAR2(30 BYTE),
  EXCHANGE_DATE           DATE,
  EXCHANGE_RATE           NUMBER,
  ATTRIBUTE11             VARCHAR2(150 BYTE),
  ATTRIBUTE12             VARCHAR2(150 BYTE),
  ATTRIBUTE13             VARCHAR2(150 BYTE),
  SET_OF_BOOKS_ID         NUMBER(15)            NOT NULL,
  ATTRIBUTE14             VARCHAR2(150 BYTE),
  ATTRIBUTE15             VARCHAR2(150 BYTE),
  ORG_ID                  NUMBER(15),
  PURGED_CHILDREN_FLAG    VARCHAR2(1 BYTE),
  ISSUE_DATE              DATE,
  MATURITY_DATE           DATE,
  SPECIAL_INSTRUCTIONS    VARCHAR2(240 BYTE),
  BATCH_PROCESS_STATUS    VARCHAR2(20 BYTE),
  SELECTION_CRITERIA_ID   NUMBER(15),
  BATCH_ID_N              NUMBER(15)
);
